package org.apache.commons.lang3.function;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.Objects;

@FunctionalInterface
public interface FailableBiConsumer<T, U, E extends Throwable> {
  public static final org.apache.commons.lang3.function.FailableBiConsumer NOP = (t, u) -> {
    
    };
  
  static <T, U, E extends Throwable> org.apache.commons.lang3.function.FailableBiConsumer<T, U, E> nop() {
    return NOP;
  }
  
  default org.apache.commons.lang3.function.FailableBiConsumer<T, U, E> andThen(org.apache.commons.lang3.function.FailableBiConsumer<? super T, ? super U, E> after) {
    Objects.requireNonNull(after);
    return (t, u) -> {
        accept((T)t, (U)u);
        after.accept(t, u);
      };
  }
  
  void accept(T paramT, U paramU) throws E;
}
